uniform vec3 lightpos;
uniform float fadein;

varying float brite;
varying vec4 shadowcoord;
varying float distance;
varying vec3 tpos;
varying float alphashit;
varying float poks;
varying vec2 envidir;
	
vec2 paske(vec3 pos, vec3 norm)
{
  vec3 p2 = normalize(pos);
  vec3 ref = reflect(p2, normalize(norm));
  ref.z -= 1.0;
  return normalize(ref).xy * 0.5 + 0.5;
}	

void main() {
  vec3 normal = normalize(gl_NormalMatrix*gl_Normal);
  vec3 vpos = vec3(gl_ModelViewMatrix*gl_Vertex);
  vec3 lpos = vec3(gl_ModelViewMatrix*vec4(lightpos, 1.0));
	
  tpos = gl_MultiTexCoord1.xyz;
  brite = clamp(dot(normal, normalize(lpos-vpos)), 0.0, 1.0);

  alphashit = clamp(0.5+(gl_Vertex.x+0.5)*3.0 - fadein*4.0, 0.0, 1.0);
  poks = clamp(0.5+(gl_Vertex.x+0.5)*1.5 - fadein*2.0, 0.0, 1.0) * 2.0;
  alphashit = step(alphashit, 0.001);
  envidir = paske(gl_Vertex.xyz, normal);
  
  distance = -vpos.z;
  gl_Position = ftransform();
}